Bug 1129600 - Gray screen of death when switching programs with alt+tab
Summary: Gray screen of death when switching programs with alt+tab
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-workspace
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 10:24 UTC by niklas.laxstrom+bro@gmail.com
Modified: 2015-06-29 22:03 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:03:08 UTC


Attachments (Terms of Use)

Description niklas.laxstrom+bro@gmail.com 2014-08-13 10:24:37 UTC
First of all, I have no idea which component to choose, so this is most likely not the correct component. Please help.

Description of problem:
Few times a week on average the whole screen turns gray when I do alt+tab. Sometimes it returns to normal state when I do alt+tab few times more, but sometimes it doesn't.

Version-Release number of selected component (if applicable):
Some random versions:
Kernel: 3.15.7-200.fc20.x86_64
KDE: 4.13.3

How reproducible:
Not very often, I estimate less than 1% of all alt+tabs.

Steps to Reproduce:
1. Alt+tab a lot

Additional info:
The only way to restore working system state I have found is to restart X with ctrl+alt+backspace. This inevitably reads to a data loss: in fact I was just writing a long comment on another bugzilla when this happened and lost it. Hence my initial suggestion of high priority.

The applications still seem to be running normally, as I can see mouse cursor changing between normal pointer and text selection cursor. This usually happens when tabbing between Google Chrome and Konsole, but that might just be because that consist of the majority of my program switches.

Hardware is X1 Carbon.

Comment 1 Rex Dieter 2014-08-13 11:48:23 UTC
Symptoms seem to point to a video driver issue.

What video hardware/driver do you use?

fpaste --sysinfo

output should give some clues.

Comment 2 niklas.laxstrom+bro@gmail.com 2014-08-13 15:42:38 UTC
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
Kernel driver in use: i915

OpenGL renderer string: Mesa DRI Intel(R) Ivybridge Mobile
OpenGL version string: 3.0 Mesa 10.1.5

Comment 3 Fedora End Of Life 2015-05-29 12:37:26 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 22:03:08 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.